package com.example.demo.configuration;

import java.util.Properties;

import javax.sql.DataSource;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.core.env.Environment;
import org.springframework.stereotype.Component;

import com.alibaba.druid.pool.DruidDataSourceFactory;

@Configuration
@Component
public class DatabaseConfig {
	  @Autowired
	  private Environment env;
	  
	  @Value("${spring.datasource.driver-class-name}")
	  private String driverClass;
	  
	  @Value("${spring.datasource.url}")
	  private String url;
	  
	  @Value("${spring.datasource.username}")
	  private String username;
	  
	  @Value("${spring.datasource.password}")
	  private String password;
	 
	  /**
	   * 创建数据源(数据源的名称：方法名可以取为XXXDataSource(),XXX为数据库名称,该名称也就是数据源的名称)
	   */
	  @Bean
	  public DataSource mydataSource() throws Exception {
	    Properties props = new Properties();
	    props.put("driverClassName",driverClass);
	    props.put("url", url);
	    props.put("username", username);
	    props.put("password", password);
	    return DruidDataSourceFactory.createDataSource(props);
	  }

}
